
# Robot_Command type list


set NONE                     0
set STOP_SERVER              1
set MOVE_JOINTS_TO           2
set MOVE_JOINTS_BY           3
set MOVE_JOINT_TO            4
set MOVE_JOINT_BY            5
set MOVE_RPY_TO              6
set MOVE_RPY_BY              7
set LINEAR_MOVE_TO           8
set LINEAR_MOVE_BY           9
set SET_SPEEDS               10
set SET_LIMITS               11



set ATTACH_BIG_GRIPPER       20
set DETACH_BIG_GRIPPER       21
set ATTACH_SMALL_GRIPPER     22
set DETACH_SMALL_GRIPPER     23
set ATTACH_VACUUM_GRIPPER    24
set DETACH_VACUUM_GRIPPER    25

set GRASP_OBJECT             30
set RELEASE_OBJECT           31
set ADD_OBJECT               32 
set REMOVE_OBJECT            33


# GL_Command
set SET_NET_TIMEOUT          40
set SET_CPU_IDLE             41

# QUERY
set GET_INFO                 50

set JOINTS_INFO              51
set LIMITS_INFO              52
set SPEEDS_INFO              53
